diff --git a/pipenv/routines/install.py b/pipenv/routines/install.py
index 4b8b2bf8c..a3e1fbcf7 100644
--- a/pipenv/routines/install.py
+++ b/pipenv/routines/install.py
@@ -580,6 +580,14 @@ def batch_install_iteration(
         strip_extras_markers_from_requirement,
     )
 
+    # Gentoo patch:
+    # Install dependencies into the venv even if they exist
+    # in the system.
+    # This is needed because pipenv imports the system packages to run.
+    # It does not change your system's packages.
+    if (extra_pip_args is not None) and ("-I" not in extra_pip_args):
+        extra_pip_args.append("-I")
+
     is_artifact = False
     for dep in deps_to_install:
         if dep.req.req:
